diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/edit-form-advanced.php ./wordpress-3.3/wp-admin/edit-form-advanced.php
*** ./wordpress-3.2.1/wp-admin/edit-form-advanced.php	2011-11-24 20:39:25.000000000 -0600
--- ./wordpress-3.3/wp-admin/edit-form-advanced.php	2011-11-29 11:47:35.000000000 -0600
***************
*** 23,29 ****
   * @var int
   */
  $post_ID = isset($post_ID) ? (int) $post_ID : 0;
- $temp_ID = isset($temp_ID) ? (int) $temp_ID : 0;
  $user_ID = isset($user_ID) ? (int) $user_ID : 0;
  $action = isset($action) ? $action : '';
  
--- 23,28 ----
***************
*** 100,109 ****
  // All meta boxes should be defined and added before the first do_meta_boxes() call (or potentially during the do_meta_boxes action).
  require_once('./includes/meta-boxes.php');
  
! add_meta_box('submitdiv', __('Publish'), 'post_submit_meta_box', $post_type, 'side', 'core');
  
  if ( current_theme_supports( 'post-formats' ) && post_type_supports( $post_type, 'post-formats' ) )
! 	add_meta_box( 'formatdiv', _x( 'Format', 'post format' ), 'post_format_meta_box', $post_type, 'side', 'core' );
  
  // all taxonomies
  foreach ( get_object_taxonomies($post_type) as $tax_name ) {
--- 99,108 ----
  // All meta boxes should be defined and added before the first do_meta_boxes() call (or potentially during the do_meta_boxes action).
  require_once('./includes/meta-boxes.php');
  
! add_meta_box('submitdiv', __('Publish'), 'post_submit_meta_box', null, 'side', 'core');
  
  if ( current_theme_supports( 'post-formats' ) && post_type_supports( $post_type, 'post-formats' ) )
! 	add_meta_box( 'formatdiv', _x( 'Format', 'post format' ), 'post_format_meta_box', null, 'side', 'core' );
  
  // all taxonomies
  foreach ( get_object_taxonomies($post_type) as $tax_name ) {
***************
*** 114,157 ****
  	$label = $taxonomy->labels->name;
  
  	if ( !is_taxonomy_hierarchical($tax_name) )
! 		add_meta_box('tagsdiv-' . $tax_name, $label, 'post_tags_meta_box', $post_type, 'side', 'core', array( 'taxonomy' => $tax_name ));
  	else
! 		add_meta_box($tax_name . 'div', $label, 'post_categories_meta_box', $post_type, 'side', 'core', array( 'taxonomy' => $tax_name ));
  }
  
  if ( post_type_supports($post_type, 'page-attributes') )
! 	add_meta_box('pageparentdiv', 'page' == $post_type ? __('Page Attributes') : __('Attributes'), 'page_attributes_meta_box', $post_type, 'side', 'core');
  
! if ( current_theme_supports( 'post-thumbnails', $post_type ) && post_type_supports( $post_type, 'thumbnail' )
! 	&& ( ! is_multisite() || ( ( $mu_media_buttons = get_site_option( 'mu_media_buttons', array() ) ) && ! empty( $mu_media_buttons['image'] ) ) ) )
! 		add_meta_box('postimagediv', __('Featured Image'), 'post_thumbnail_meta_box', $post_type, 'side', 'low');
  
  if ( post_type_supports($post_type, 'excerpt') )
! 	add_meta_box('postexcerpt', __('Excerpt'), 'post_excerpt_meta_box', $post_type, 'normal', 'core');
  
  if ( post_type_supports($post_type, 'trackbacks') )
! 	add_meta_box('trackbacksdiv', __('Send Trackbacks'), 'post_trackback_meta_box', $post_type, 'normal', 'core');
  
  if ( post_type_supports($post_type, 'custom-fields') )
! 	add_meta_box('postcustom', __('Custom Fields'), 'post_custom_meta_box', $post_type, 'normal', 'core');
  
  do_action('dbx_post_advanced');
  if ( post_type_supports($post_type, 'comments') )
! 	add_meta_box('commentstatusdiv', __('Discussion'), 'post_comment_status_meta_box', $post_type, 'normal', 'core');
  
  if ( ('publish' == $post->post_status || 'private' == $post->post_status) && post_type_supports($post_type, 'comments') )
! 	add_meta_box('commentsdiv', __('Comments'), 'post_comment_meta_box', $post_type, 'normal', 'core');
  
  if ( !( 'pending' == $post->post_status && !current_user_can( $post_type_object->cap->publish_posts ) ) )
! 	add_meta_box('slugdiv', __('Slug'), 'post_slug_meta_box', $post_type, 'normal', 'core');
  
  if ( post_type_supports($post_type, 'author') ) {
  	if ( is_super_admin() || current_user_can( $post_type_object->cap->edit_others_posts ) )
! 		add_meta_box('authordiv', __('Author'), 'post_author_meta_box', $post_type, 'normal', 'core');
  }
  
  if ( post_type_supports($post_type, 'revisions') && 0 < $post_ID && wp_get_post_revisions( $post_ID ) )
! 	add_meta_box('revisionsdiv', __('Revisions'), 'post_revisions_meta_box', $post_type, 'normal', 'core');
  
  do_action('add_meta_boxes', $post_type, $post);
  do_action('add_meta_boxes_' . $post_type, $post);
--- 113,155 ----
  	$label = $taxonomy->labels->name;
  
  	if ( !is_taxonomy_hierarchical($tax_name) )
! 		add_meta_box('tagsdiv-' . $tax_name, $label, 'post_tags_meta_box', null, 'side', 'core', array( 'taxonomy' => $tax_name ));
  	else
! 		add_meta_box($tax_name . 'div', $label, 'post_categories_meta_box', null, 'side', 'core', array( 'taxonomy' => $tax_name ));
  }
  
  if ( post_type_supports($post_type, 'page-attributes') )
! 	add_meta_box('pageparentdiv', 'page' == $post_type ? __('Page Attributes') : __('Attributes'), 'page_attributes_meta_box', null, 'side', 'core');
  
! if ( current_theme_supports( 'post-thumbnails', $post_type ) && post_type_supports( $post_type, 'thumbnail' ) )
! 		add_meta_box('postimagediv', __('Featured Image'), 'post_thumbnail_meta_box', null, 'side', 'low');
  
  if ( post_type_supports($post_type, 'excerpt') )
! 	add_meta_box('postexcerpt', __('Excerpt'), 'post_excerpt_meta_box', null, 'normal', 'core');
  
  if ( post_type_supports($post_type, 'trackbacks') )
! 	add_meta_box('trackbacksdiv', __('Send Trackbacks'), 'post_trackback_meta_box', null, 'normal', 'core');
  
  if ( post_type_supports($post_type, 'custom-fields') )
! 	add_meta_box('postcustom', __('Custom Fields'), 'post_custom_meta_box', null, 'normal', 'core');
  
  do_action('dbx_post_advanced');
  if ( post_type_supports($post_type, 'comments') )
! 	add_meta_box('commentstatusdiv', __('Discussion'), 'post_comment_status_meta_box', null, 'normal', 'core');
  
  if ( ('publish' == $post->post_status || 'private' == $post->post_status) && post_type_supports($post_type, 'comments') )
! 	add_meta_box('commentsdiv', __('Comments'), 'post_comment_meta_box', null, 'normal', 'core');
  
  if ( !( 'pending' == $post->post_status && !current_user_can( $post_type_object->cap->publish_posts ) ) )
! 	add_meta_box('slugdiv', __('Slug'), 'post_slug_meta_box', null, 'normal', 'core');
  
  if ( post_type_supports($post_type, 'author') ) {
  	if ( is_super_admin() || current_user_can( $post_type_object->cap->edit_others_posts ) )
! 		add_meta_box('authordiv', __('Author'), 'post_author_meta_box', null, 'normal', 'core');
  }
  
  if ( post_type_supports($post_type, 'revisions') && 0 < $post_ID && wp_get_post_revisions( $post_ID ) )
! 	add_meta_box('revisionsdiv', __('Revisions'), 'post_revisions_meta_box', null, 'normal', 'core');
  
  do_action('add_meta_boxes', $post_type, $post);
  do_action('add_meta_boxes_' . $post_type, $post);
***************
*** 160,199 ****
  do_action('do_meta_boxes', $post_type, 'advanced', $post);
  do_action('do_meta_boxes', $post_type, 'side', $post);
  
! add_screen_option('layout_columns', array('max' => 2) );
  
  if ( 'post' == $post_type ) {
! 	add_contextual_help($current_screen,
! 	'<p>' . __('The title field and the big Post Editing Area are fixed in place, but you can reposition all the other boxes using drag and drop, and can minimize or expand them by clicking the title bar of each box. Use the Screen Options tab to unhide more boxes (Excerpt, Send Trackbacks, Custom Fields, Discussion, Slug, Author) or to choose a 1- or 2-column layout for this screen.') . '</p>' .
! 	'<p>' . __('<strong>Title</strong> - Enter a title for your post. After you enter a title, you&#8217;ll see the permalink below, which you can edit.') . '</p>' .
! 	'<p>' . __('<strong>Post editor</strong> - Enter the text for your post. There are two modes of editing: Visual and HTML. Choose the mode by clicking on the appropriate tab. Visual mode gives you a WYSIWYG editor. Click the last icon in the row to get a second row of controls. The HTML mode allows you to enter raw HTML along with your post text. You can insert media files by clicking the icons above the post editor and following the directions. You can go the distraction-free writing screen, new in 3.2, via the Fullscreen icon in Visual mode (second to last in the top row) or the Fullscreen button in HTML mode (last in the row). Once there, you can make buttons visible by hovering over the top area. Exit Fullscreen back to the regular post editor.') . '</p>' .
! 	'<p>' . __('<strong>Publish</strong> - You can set the terms of publishing your post in the Publish box. For Status, Visibility, and Publish (immediately), click on the Edit link to reveal more options. Visibility includes options for password-protecting a post or making it stay at the top of your blog indefinitely (sticky). Publish (immediately) allows you to set a future or past date and time, so you can schedule a post to be published in the future or backdate a post.') . '</p>' .
! 	( ( current_theme_supports( 'post-formats' ) && post_type_supports( 'post', 'post-formats' ) ) ? '<p>' . __( '<strong>Post Format</strong> - This designates how your theme will display a specific post. For example, you could have a <em>standard</em> blog post with a title and paragraphs, or a short <em>aside</em> that omits the title and contains a short text blurb. Please refer to the Codex for <a href="http://codex.wordpress.org/Post_Formats#Supported_Formats">descriptions of each post format</a>. Your theme could enable all or some of 10 possible formats.' ) . '</p>' : '' ) .
! 	'<p>' . __('<strong>Featured Image</strong> - This allows you to associate an image with your post without inserting it. This is usually useful only if your theme makes use of the featured image as a post thumbnail on the home page, a custom header, etc.') . '</p>' .
! 	'<p>' . __('<strong>Send Trackbacks</strong> - Trackbacks are a way to notify legacy blog systems that you&#8217;ve linked to them. Enter the URL(s) you want to send trackbacks. If you link to other WordPress sites they&#8217;ll be notified automatically using pingbacks, and this field is unnecessary.') . '</p>' .
! 	'<p>' . __('<strong>Discussion</strong> - You can turn comments and pings on or off, and if there are comments on the post, you can see them here and moderate them.') . '</p>' .
! 	'<p>' . sprintf(__('You can also create posts with the <a href="%s">Press This bookmarklet</a>.'), 'options-writing.php') . '</p>' .
! 	'<p><strong>' . __('For more information:') . '</strong></p>' .
! 	'<p>' . __('<a href="http://codex.wordpress.org/Posts_Add_New_Screen" target="_blank">Documentation on Writing and Editing Posts</a>') . '</p>' .
! 	'<p>' . __('<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>') . '</p>'
  	);
  } elseif ( 'page' == $post_type ) {
! 	add_contextual_help($current_screen, '<p>' . __('Pages are similar to Posts in that they have a title, body text, and associated metadata, but they are different in that they are not part of the chronological blog stream, kind of like permanent posts. Pages are not categorized or tagged, but can have a hierarchy. You can nest Pages under other Pages by making one the &#8220;Parent&#8221; of the other, creating a group of Pages.') . '</p>' .
! 	'<p>' . __('Creating a Page is very similar to creating a Post, and the screens can be customized in the same way using drag and drop, the Screen Options tab, and expanding/collapsing boxes as you choose. This screen also has the new in 3.2 distraction-free writing space, available in both the Visual and HTML modes via the Fullscreen buttons. The Page editor mostly works the same as the Post editor, but there are some Page-specific features in the Page Attributes box:') . '</p>' .
! 	'<p>' . __('<strong>Parent</strong> - You can arrange your pages in hierarchies. For example, you could have an &#8220;About&#8221; page that has &#8220;Life Story&#8221; and &#8220;My Dog&#8221; pages under it. There are no limits to how many levels you can nest pages.') . '</p>' .
! 	'<p>' . __('<strong>Template</strong> - Some themes have custom templates you can use for certain pages that might have additional features or custom layouts. If so, you&#8217;ll see them in this dropdown menu.') . '</p>' .
! 	'<p>' . __('<strong>Order</strong> - Pages are usually ordered alphabetically, but you can choose your own order by entering a number (1 for first, etc.) in this field.') . '</p>' .
! 	'<p><strong>' . __('For more information:') . '</strong></p>' .
! 	'<p>' . __('<a href="http://codex.wordpress.org/Pages_Add_New_Screen" target="_blank">Documentation on Adding New Pages</a>') . '</p>' .
! 	'<p>' . __('<a href="http://codex.wordpress.org/Pages_Screen#Editing_Individual_Pages" target="_blank">Documentation on Editing Pages</a>') . '</p>' .
! 	'<p>' . __('<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>') . '</p>'
  	);
  }
  
  require_once('./admin-header.php');
  ?>
  
! <div class="wrap">
  <?php screen_icon(); ?>
  <h2><?php echo esc_html( $title ); ?><?php if ( isset( $post_new_file ) ) : ?> <a href="<?php echo esc_url( $post_new_file ) ?>" class="add-new-h2"><?php echo esc_html($post_type_object->labels->add_new); ?></a><?php endif; ?></h2>
  <?php if ( $notice ) : ?>
--- 158,246 ----
  do_action('do_meta_boxes', $post_type, 'advanced', $post);
  do_action('do_meta_boxes', $post_type, 'side', $post);
  
! add_screen_option('layout_columns', array('max' => 2, 'default' => 2) );
  
  if ( 'post' == $post_type ) {
! 	$customize_display = '<p>' . __('The title field and the big Post Editing Area are fixed in place, but you can reposition all the other boxes using drag and drop, and can minimize or expand them by clicking the title bar of each box. Use the Screen Options tab to unhide more boxes (Excerpt, Send Trackbacks, Custom Fields, Discussion, Slug, Author) or to choose a 1- or 2-column layout for this screen.') . '</p>';
! 
! 	get_current_screen()->add_help_tab( array(
! 		'id'      => 'customize-display',
! 		'title'   => __('Customizing This Display'),
! 		'content' => $customize_display,
! 	) );
! 
! 	$title_and_editor  = '<p>' . __('<strong>Title</strong> - Enter a title for your post. After you enter a title, you&#8217;ll see the permalink below, which you can edit.') . '</p>';
! 	$title_and_editor .= '<p>' . __('<strong>Post editor</strong> - Enter the text for your post. There are two modes of editing: Visual and HTML. Choose the mode by clicking on the appropriate tab. Visual mode gives you a WYSIWYG editor. Click the last icon in the row to get a second row of controls. The HTML mode allows you to enter raw HTML along with your post text. You can insert media files by clicking the icons above the post editor and following the directions. You can go to the distraction-free writing screen via the Fullscreen icon in Visual mode (second to last in the top row) or the Fullscreen button in HTML mode (last in the row). Once there, you can make buttons visible by hovering over the top area. Exit Fullscreen back to the regular post editor.') . '</p>';
! 
! 	get_current_screen()->add_help_tab( array(
! 		'id'      => 'title-post-editor',
! 		'title'   => __('Title and Post Editor'),
! 		'content' => $title_and_editor,
! 	) );
! 
! 	$publish_box = '<p>' . __('<strong>Publish</strong> - You can set the terms of publishing your post in the Publish box. For Status, Visibility, and Publish (immediately), click on the Edit link to reveal more options. Visibility includes options for password-protecting a post or making it stay at the top of your blog indefinitely (sticky). Publish (immediately) allows you to set a future or past date and time, so you can schedule a post to be published in the future or backdate a post.') . '</p>';
! 
! 	if ( current_theme_supports( 'post-formats' ) && post_type_supports( 'post', 'post-formats' ) ) {
! 		$publish_box .= '<p>' . __( '<strong>Post Format</strong> - This designates how your theme will display a specific post. For example, you could have a <em>standard</em> blog post with a title and paragraphs, or a short <em>aside</em> that omits the title and contains a short text blurb. Please refer to the Codex for <a href="http://codex.wordpress.org/Post_Formats#Supported_Formats">descriptions of each post format</a>. Your theme could enable all or some of 10 possible formats.' ) . '</p>';
! 	}
! 
! 	if ( current_theme_supports( 'post-thumbnails' ) && post_type_supports( 'post', 'thumbnail' ) ) {
! 		$publish_box .= '<p>' . __('<strong>Featured Image</strong> - This allows you to associate an image with your post without inserting it. This is usually useful only if your theme makes use of the featured image as a post thumbnail on the home page, a custom header, etc.') . '</p>';
! 	}
! 
! 	get_current_screen()->add_help_tab( array(
! 		'id'      => 'publish-box',
! 		'title'   => __('Publish Box'),
! 		'content' => $publish_box,
! 	) );
! 
! 	$discussion_settings  = '<p>' . __('<strong>Send Trackbacks</strong> - Trackbacks are a way to notify legacy blog systems that you&#8217;ve linked to them. Enter the URL(s) you want to send trackbacks. If you link to other WordPress sites they&#8217;ll be notified automatically using pingbacks, and this field is unnecessary.') . '</p>';
! 	$discussion_settings .= '<p>' . __('<strong>Discussion</strong> - You can turn comments and pings on or off, and if there are comments on the post, you can see them here and moderate them.') . '</p>';
! 
! 	get_current_screen()->add_help_tab( array(
! 		'id'      => 'discussion-settings',
! 		'title'   => __('Discussion Settings'),
! 		'content' => $discussion_settings,
! 	) );
! 
! 	get_current_screen()->set_help_sidebar(
! 			'<p>' . sprintf(__('You can also create posts with the <a href="%s">Press This bookmarklet</a>.'), 'options-writing.php') . '</p>' .
! 			'<p><strong>' . __('For more information:') . '</strong></p>' .
! 			'<p>' . __('<a href="http://codex.wordpress.org/Posts_Add_New_Screen" target="_blank">Documentation on Writing and Editing Posts</a>') . '</p>' .
! 			'<p>' . __('<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>') . '</p>'
  	);
  } elseif ( 'page' == $post_type ) {
! 	$about_pages = '<p>' . __('Pages are similar to Posts in that they have a title, body text, and associated metadata, but they are different in that they are not part of the chronological blog stream, kind of like permanent posts. Pages are not categorized or tagged, but can have a hierarchy. You can nest Pages under other Pages by making one the &#8220;Parent&#8221; of the other, creating a group of Pages.') . '</p>' .
! 		'<p>' . __('Creating a Page is very similar to creating a Post, and the screens can be customized in the same way using drag and drop, the Screen Options tab, and expanding/collapsing boxes as you choose. This screen also has the distraction-free writing space, available in both the Visual and HTML modes via the Fullscreen buttons. The Page editor mostly works the same as the Post editor, but there are some Page-specific features in the Page Attributes box:') . '</p>';
! 
! 	get_current_screen()->add_help_tab( array(
! 		'id'      => 'about-pages',
! 		'title'   => __('About Pages'),
! 		'content' => $about_pages,
! 	) );
! 
! 	$page_attributes = '<p>' . __('<strong>Parent</strong> - You can arrange your pages in hierarchies. For example, you could have an &#8220;About&#8221; page that has &#8220;Life Story&#8221; and &#8220;My Dog&#8221; pages under it. There are no limits to how many levels you can nest pages.') . '</p>' .
! 		'<p>' . __('<strong>Template</strong> - Some themes have custom templates you can use for certain pages that might have additional features or custom layouts. If so, you&#8217;ll see them in this dropdown menu.') . '</p>' .
! 		'<p>' . __('<strong>Order</strong> - Pages are usually ordered alphabetically, but you can choose your own order by entering a number (1 for first, etc.) in this field.') . '</p>';
! 
! 	get_current_screen()->add_help_tab( array(
! 		'id' => 'page-attributes',
! 		'title' => __('Page Attributes'),
! 		'content' => $page_attributes,
! 	) );
! 
! 	get_current_screen()->set_help_sidebar(
! 			'<p><strong>' . __('For more information:') . '</strong></p>' .
! 			'<p>' . __('<a href="http://codex.wordpress.org/Pages_Add_New_Screen" target="_blank">Documentation on Adding New Pages</a>') . '</p>' .
! 			'<p>' . __('<a href="http://codex.wordpress.org/Pages_Screen#Editing_Individual_Pages" target="_blank">Documentation on Editing Pages</a>') . '</p>' .
! 			'<p>' . __('<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>') . '</p>'
  	);
  }
  
  require_once('./admin-header.php');
  ?>
  
! <div class="wrap columns-<?php echo (int) $screen_layout_columns ? (int) $screen_layout_columns : 'auto'; ?>">
  <?php screen_icon(); ?>
  <h2><?php echo esc_html( $title ); ?><?php if ( isset( $post_new_file ) ) : ?> <a href="<?php echo esc_url( $post_new_file ) ?>" class="add-new-h2"><?php echo esc_html($post_type_object->labels->add_new); ?></a><?php endif; ?></h2>
  <?php if ( $notice ) : ?>
***************
*** 211,217 ****
--- 258,267 ----
  <input type="hidden" id="post_type" name="post_type" value="<?php echo esc_attr( $post_type ) ?>" />
  <input type="hidden" id="original_post_status" name="original_post_status" value="<?php echo esc_attr( $post->post_status) ?>" />
  <input type="hidden" id="referredby" name="referredby" value="<?php echo esc_url(stripslashes(wp_get_referer())); ?>" />
+ <?php if ( ! empty( $active_post_lock ) ) { ?>
+ <input type="hidden" id="active_post_lock" value="<?php echo esc_attr( implode( ':', $active_post_lock ) ); ?>" />
  <?php
+ }
  if ( 'draft' != $post->post_status )
  	wp_original_referer_field(true, 'previous');
  
***************
*** 222,233 ****
  wp_nonce_field( 'closedpostboxes', 'closedpostboxesnonce', false );
  ?>
  
! <div id="poststuff" class="metabox-holder<?php echo 2 == $screen_layout_columns ? ' has-right-sidebar' : ''; ?>">
  <div id="side-info-column" class="inner-sidebar">
- 
  <?php
! ('page' == $post_type) ? do_action('submitpage_box') : do_action('submitpost_box');
! $side_meta_boxes = do_meta_boxes($post_type, 'side', $post);
  ?>
  </div>
  
--- 272,284 ----
  wp_nonce_field( 'closedpostboxes', 'closedpostboxesnonce', false );
  ?>
  
! <div id="poststuff" class="metabox-holder<?php echo 1 != $screen_layout_columns ? ' has-right-sidebar' : ''; ?>">
  <div id="side-info-column" class="inner-sidebar">
  <?php
! if ( 1 != $screen_layout_columns ) {
! 	('page' == $post_type) ? do_action('submitpage_box') : do_action('submitpost_box');
! 	$side_meta_boxes = do_meta_boxes($post_type, 'side', $post);
! }
  ?>
  </div>
  
***************
*** 264,272 ****
  <?php } ?>
  
  <?php if ( post_type_supports($post_type, 'editor') ) { ?>
! <div id="<?php echo user_can_richedit() ? 'postdivrich' : 'postdiv'; ?>" class="postarea">
  
! <?php the_editor($post->post_content); ?>
  
  <table id="post-status-info" cellspacing="0"><tbody><tr>
  	<td id="wp-word-count"><?php printf( __( 'Word count: %s' ), '<span class="word-count">0</span>' ); ?></td>
--- 315,323 ----
  <?php } ?>
  
  <?php if ( post_type_supports($post_type, 'editor') ) { ?>
! <div id="postdivrich" class="postarea">
  
! <?php wp_editor($post->post_content, 'content', array('dfw' => true, 'tabindex' => 1) ); ?>
  
  <table id="post-status-info" cellspacing="0"><tbody><tr>
  	<td id="wp-word-count"><?php printf( __( 'Word count: %s' ), '<span class="word-count">0</span>' ); ?></td>
***************
*** 291,301 ****
  <?php
  }
  
! do_meta_boxes($post_type, 'normal', $post);
  
  ( 'page' == $post_type ) ? do_action('edit_page_form') : do_action('edit_form_advanced');
  
! do_meta_boxes($post_type, 'advanced', $post);
  
  do_action('dbx_post_sidebar'); ?>
  
--- 342,357 ----
  <?php
  }
  
! if ( 1 == $screen_layout_columns ) {
! 	('page' == $post_type) ? do_action('submitpage_box') : do_action('submitpost_box');
! 	$side_meta_boxes = do_meta_boxes($post_type, 'side', $post);
! }
! 
! do_meta_boxes(null, 'normal', $post);
  
  ( 'page' == $post_type ) ? do_action('edit_page_form') : do_action('edit_form_advanced');
  
! do_meta_boxes(null, 'advanced', $post);
  
  do_action('dbx_post_sidebar'); ?>
  
***************
*** 306,312 ****
  </form>
  </div>
  
! <?php wp_comment_reply(); ?>
  
  <?php if ((isset($post->post_title) && '' == $post->post_title) || (isset($_GET['message']) && 2 > $_GET['message'])) : ?>
  <script type="text/javascript">
--- 362,371 ----
  </form>
  </div>
  
! <?php
! if ( post_type_supports( $post_type, 'comments' ) )
! 	wp_comment_reply();
! ?>
  
  <?php if ((isset($post->post_title) && '' == $post->post_title) || (isset($_GET['message']) && 2 > $_GET['message'])) : ?>
  <script type="text/javascript">
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/edit-form-comment.php ./wordpress-3.3/wp-admin/edit-form-comment.php
*** ./wordpress-3.2.1/wp-admin/edit-form-comment.php	2011-11-24 20:39:25.000000000 -0600
--- ./wordpress-3.3/wp-admin/edit-form-comment.php	2011-11-05 13:03:33.000000000 -0500
***************
*** 54,60 ****
  
  <div class="misc-pub-section curtime misc-pub-section-last">
  <?php
! // translators: Publish box date formt, see http://php.net/date
  $datef = __( 'M j, Y @ G:i' );
  $stamp = __('Submitted on: <b>%1$s</b>');
  $date = date_i18n( $datef, strtotime( $comment->comment_date ) );
--- 54,60 ----
  
  <div class="misc-pub-section curtime misc-pub-section-last">
  <?php
! // translators: Publish box date format, see http://php.net/date
  $datef = __( 'M j, Y @ G:i' );
  $stamp = __('Submitted on: <b>%1$s</b>');
  $date = date_i18n( $datef, strtotime( $comment->comment_date ) );
***************
*** 71,77 ****
  <?php echo "<a class='submitdelete deletion' href='" . wp_nonce_url("comment.php?action=" . ( !EMPTY_TRASH_DAYS ? 'deletecomment' : 'trashcomment' ) . "&amp;c=$comment->comment_ID&amp;_wp_original_http_referer=" . urlencode(wp_get_referer()), 'delete-comment_' . $comment->comment_ID) . "'>" . ( !EMPTY_TRASH_DAYS ? __('Delete Permanently') : __('Move to Trash') ) . "</a>\n"; ?>
  </div>
  <div id="publishing-action">
! <?php submit_button( __( 'Update Comment' ), 'primary', 'save', false, array( 'tabindex' => '4' ) ); ?>
  </div>
  <div class="clear"></div>
  </div>
--- 71,77 ----
  <?php echo "<a class='submitdelete deletion' href='" . wp_nonce_url("comment.php?action=" . ( !EMPTY_TRASH_DAYS ? 'deletecomment' : 'trashcomment' ) . "&amp;c=$comment->comment_ID&amp;_wp_original_http_referer=" . urlencode(wp_get_referer()), 'delete-comment_' . $comment->comment_ID) . "'>" . ( !EMPTY_TRASH_DAYS ? __('Delete Permanently') : __('Move to Trash') ) . "</a>\n"; ?>
  </div>
  <div id="publishing-action">
! <?php submit_button( __( 'Update' ), 'primary', 'save', false, array( 'tabindex' => '4' ) ); ?>
  </div>
  <div class="clear"></div>
  </div>
***************
*** 120,134 ****
  </div>
  
  <div id="postdiv" class="postarea">
! <?php the_editor($comment->comment_content, 'content', 'newcomment_author_url', false, 4, false); ?>
! <?php wp_nonce_field( 'closedpostboxes', 'closedpostboxesnonce', false ); ?>
  </div>
  
  <?php
  do_action('add_meta_boxes', 'comment', $comment);
  do_action('add_meta_boxes_comment', $comment);
  
! do_meta_boxes('comment', 'normal', $comment);
  ?>
  <input type="hidden" name="c" value="<?php echo esc_attr($comment->comment_ID) ?>" />
  <input type="hidden" name="p" value="<?php echo esc_attr($comment->comment_post_ID) ?>" />
--- 120,136 ----
  </div>
  
  <div id="postdiv" class="postarea">
! <?php
! 	$quicktags_settings = array( 'buttons' => 'strong,em,link,block,del,ins,img,ul,ol,li,code,spell,close' );
! 	wp_editor( $comment->comment_content, 'content', array( 'media_buttons' => false, 'tinymce' => false, 'quicktags' => $quicktags_settings ) );
! 	wp_nonce_field( 'closedpostboxes', 'closedpostboxesnonce', false ); ?>
  </div>
  
  <?php
  do_action('add_meta_boxes', 'comment', $comment);
  do_action('add_meta_boxes_comment', $comment);
  
! do_meta_boxes(null, 'normal', $comment);
  ?>
  <input type="hidden" name="c" value="<?php echo esc_attr($comment->comment_ID) ?>" />
  <input type="hidden" name="p" value="<?php echo esc_attr($comment->comment_post_ID) ?>" />
